targets:
  $default:
    sources:
      - lib/**
      - graphql/**
      - schema.graphqls
    builders:
      artemis:
        options:
          schema_mapping:
            - schema: schema.graphqls
              queries_glob: graphql/*.graphql
              output: lib/graphql/imagini_graphql.dart
          scalar_mapping:
            - graphql_type: Upload
              custom_parser_import: 'package:imagini/helpers/upload_serializer.dart'
              dart_type:
                name: MultipartFile
                imports:
                  - 'package:http/http.dart'
            - graphql_type: Time
              dart_type: DateTime
